Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom
Class JRexNamedNodeMapImpl

    java.lang.Object
      org.mozilla.jrex.dom.JRexNamedNodeMapImpl

All Implemented Interfaces:
  NamedNodeMap

public class JRexNamedNodeMapImpl
extends Object
implements NamedNodeMap

A class implementing org.w3c.dom.NamedNodeMap interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `NamedNodeMap`

Method Summary
`boolean` | `equals(Object obj)`
`protected void` | `finalize()`
`int` | `getLength()`
`Node` | `getNamedItem(String name)`
`Node` | `getNamedItemNS(String namespaceURI, String localName)`
`int` | `hashCode()`
`Node` | `item(int index)`
`Node` | `removeNamedItem(String name)`
`Node` | `removeNamedItemNS(String namespaceURI, String localName)`
`Node` | `setNamedItem(Node arg)`
`Node` | `setNamedItemNS(Node arg)`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLength

    public int getLength()

  Specified by:
    `getLength` in interface `NamedNodeMap`

### getNamedItem

    public Node getNamedItem(String name)

  Specified by:
    `getNamedItem` in interface `NamedNodeMap`

### getNamedItemNS

    public Node getNamedItemNS(String namespaceURI,
                               String localName)

  Specified by:
    `getNamedItemNS` in interface `NamedNodeMap`

### item

    public Node item(int index)

  Specified by:
    `item` in interface `NamedNodeMap`

### removeNamedItem

    public Node removeNamedItem(String name)
                         throws DOMException

  Specified by:
    `removeNamedItem` in interface `NamedNodeMap`
  Throws:
    `DOMException`

### removeNamedItemNS

    public Node removeNamedItemNS(String namespaceURI,
                                  String localName)
                           throws DOMException

  Specified by:
    `removeNamedItemNS` in interface `NamedNodeMap`
  Throws:
    `DOMException`

### setNamedItem

    public Node setNamedItem(Node arg)
                      throws DOMException

  Specified by:
    `setNamedItem` in interface `NamedNodeMap`
  Throws:
    `DOMException`

### setNamedItemNS

    public Node setNamedItemNS(Node arg)
                        throws DOMException

  Specified by:
    `setNamedItemNS` in interface `NamedNodeMap`
  Throws:
    `DOMException`

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### finalize

    protected void finalize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.